package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StWaterReservoir {
    private Long id;

    private Long regionId;

    private String regionCode;

    private String reservoirType;

    private String reservoirName;

    private String reservoirCode;

    private String reservoirDescription;

    private BigDecimal reservoirArea;

    private BigDecimal reservoirDepth;

    private BigDecimal reservoirImpoundage;

    private String reservoirChief;

    private BigDecimal impoundageNormal;

    private BigDecimal impoundagelWarning;

    private BigDecimal impoundageDead;

    private BigDecimal waterLevelNormal;

    private BigDecimal waterLevelWarning;

    private BigDecimal waterLevelDead;

    private String waterQuality;

    private String remark;

    private Date createdAt;

    private String createdBy;

    private Date deletedAt;

    private String deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode == null ? null : regionCode.trim();
    }

    public String getReservoirType() {
        return reservoirType;
    }

    public void setReservoirType(String reservoirType) {
        this.reservoirType = reservoirType == null ? null : reservoirType.trim();
    }

    public String getReservoirName() {
        return reservoirName;
    }

    public void setReservoirName(String reservoirName) {
        this.reservoirName = reservoirName == null ? null : reservoirName.trim();
    }

    public String getReservoirCode() {
        return reservoirCode;
    }

    public void setReservoirCode(String reservoirCode) {
        this.reservoirCode = reservoirCode == null ? null : reservoirCode.trim();
    }

    public String getReservoirDescription() {
        return reservoirDescription;
    }

    public void setReservoirDescription(String reservoirDescription) {
        this.reservoirDescription = reservoirDescription == null ? null : reservoirDescription.trim();
    }

    public BigDecimal getReservoirArea() {
        return reservoirArea;
    }

    public void setReservoirArea(BigDecimal reservoirArea) {
        this.reservoirArea = reservoirArea;
    }

    public BigDecimal getReservoirDepth() {
        return reservoirDepth;
    }

    public void setReservoirDepth(BigDecimal reservoirDepth) {
        this.reservoirDepth = reservoirDepth;
    }

    public BigDecimal getReservoirImpoundage() {
        return reservoirImpoundage;
    }

    public void setReservoirImpoundage(BigDecimal reservoirImpoundage) {
        this.reservoirImpoundage = reservoirImpoundage;
    }

    public String getReservoirChief() {
        return reservoirChief;
    }

    public void setReservoirChief(String reservoirChief) {
        this.reservoirChief = reservoirChief == null ? null : reservoirChief.trim();
    }

    public BigDecimal getImpoundageNormal() {
        return impoundageNormal;
    }

    public void setImpoundageNormal(BigDecimal impoundageNormal) {
        this.impoundageNormal = impoundageNormal;
    }

    public BigDecimal getImpoundagelWarning() {
        return impoundagelWarning;
    }

    public void setImpoundagelWarning(BigDecimal impoundagelWarning) {
        this.impoundagelWarning = impoundagelWarning;
    }

    public BigDecimal getImpoundageDead() {
        return impoundageDead;
    }

    public void setImpoundageDead(BigDecimal impoundageDead) {
        this.impoundageDead = impoundageDead;
    }

    public BigDecimal getWaterLevelNormal() {
        return waterLevelNormal;
    }

    public void setWaterLevelNormal(BigDecimal waterLevelNormal) {
        this.waterLevelNormal = waterLevelNormal;
    }

    public BigDecimal getWaterLevelWarning() {
        return waterLevelWarning;
    }

    public void setWaterLevelWarning(BigDecimal waterLevelWarning) {
        this.waterLevelWarning = waterLevelWarning;
    }

    public BigDecimal getWaterLevelDead() {
        return waterLevelDead;
    }

    public void setWaterLevelDead(BigDecimal waterLevelDead) {
        this.waterLevelDead = waterLevelDead;
    }

    public String getWaterQuality() {
        return waterQuality;
    }

    public void setWaterQuality(String waterQuality) {
        this.waterQuality = waterQuality == null ? null : waterQuality.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(String deletedBy) {
        this.deletedBy = deletedBy == null ? null : deletedBy.trim();
    }
}